using System;
using System.Text;

class Program
{
    static void Main()
    {
        string t = Console.ReadLine();
        string c1 = t[0].ToString();
        string c2 = t[1].ToString();

        string[] s = Console.ReadLine().Split();
        int a1 = int.Parse(s[0]);
        int a2 = int.Parse(s[1]);
        
        StringBuilder m = new StringBuilder();
        if (a1 == a2)
        {
            for (int i = 0; i < a1; i++)
            {
                m.Append(c1);
                m.Append(c2);
            }
        }
        else
        {
            if (Math.Abs(a1 - a2) == 1)
            {
                if (a1 > a2)
                {
                    for (int i = 0; i < a2; i++)
                    {
                        m.Append(c1);
                        m.Append(c2);
                    }
                    m.Append(c1);
                }
                else
                {
                    m.Append(c2);
                    for (int i = 0; i < a1; i++)
                    {
                        m.Append(c1);
                        m.Append(c2);
                    }
                }
            }
            else
            {
                Console.WriteLine("nemoguce");
            }

        }

        Console.WriteLine(m.ToString());
    }
}